chewing-cli-init-database(1)

NAME
chewing-cli-init-database - Create a new dictionary file

SYNOPSIS
chewing-cli init-database [-t|--db-type] [-n|--name] [-c|--copyright] [-l|--license] [-r|--version] [-s|--skip-invalid] [--fix] [--csv] [-h|--help] <TSI_SRC> <OUTPUT>

DESCRIPTION
Create a new dictionary file

OPTIONS

-t, --db-type <DB_TYPE> [default: trie]
    Choose the underlying database implementation

    [possible values: trie, sqlite]

-n, --name <NAME> [default: 我的詞庫]
    Name of the phrase dictionary

-c, --copyright <COPYRIGHT> [default: Unknown]
    Copyright information of the dictionary

-l, --license <LICENSE> [default: Unknown]
    License information of the dictionary

-r, --version <VERSION> [default: 1.0.0]
    Version of the dictionary

-s, --skip-invalid
    Skip invalid lines

--fix
    Attempt to fix simple spelling errors

--csv
    Read the dictionary source as CSV with header

-h, --help
    Print help

<TSI_SRC>
    Path to the dictionary source file

<OUTPUT>
    Path to the output file